Update a workflow

Server: https://{kibana_url}
  • PUT /api/workflows/workflow/{id}
  • PUT /s/{space_id}/api/workflows/workflow/{id}

Refer to Spaces for more information.

Partially update an existing workflow. You can update individual fields such as name, description, enabled state, tags, or the YAML definition without providing all fields.

[Required authorization] Route required privileges: workflowsManagement:update.

Path Parameters

id string · max: 255 required

Workflow ID

Response

200

Indicates a successful response

application/json